# Check if the player is already contracted
execute as @s[tag=contracted] run tellraw @s {"text":"§cYou are already contracted to another contractor!"}

# If the player isn't contracted, assign them the contractor ID and set the contract_id scoreboard
execute as @s[tag=!contracted] run execute as @s if score @a[distance=..3,tag=contractor,limit=1] contractor_id = @s contract_offered run scoreboard players operation @s contract_id = @s contract_offered

# Tracks what tier contract they have
execute as @s[tag=!contracted] run execute as @s if score @a[distance=..3,tag=contractor,limit=1] contractor_id = @s contract_offered run scoreboard players set @s contract_tier 2

#Grants contract
execute as @s[tag=!contracted] run execute as @s if score @a[distance=..3,tag=contractor,limit=1] contractor_id = @s contract_offered run power grant @s hellsgate:mixed/contracted/tier_2

# Increases authority
execute as @s[tag=!contracted] if score @a[distance=..3,tag=contractor,limit=1] contractor_id = @s contract_id run execute as @a[tag=contractor,distance=..3,limit=1] if score @s contractor_id = @a[tag=!contracted,tag=!contractor,distance=..3,limit=1] contract_id run resource change @s hellsgate:pro/devil/contract/authority/true_authority 2

# Increase contrator's soul count as long as they are within range and have not already been contracted.
execute as @s[tag=!contracted] if score @a[distance=..3,tag=contractor,limit=1] contractor_id = @s contract_id run execute as @a[tag=contractor,distance=..3,limit=1] if score @s contractor_id = @a[distance=..3,tag=!contractor,limit=1] contract_id run resource change @s hellsgate:pro/devil/contract/grants/total_souls 1

# Resets scoreboards
scoreboard players reset @s contract_offered
scoreboard players set @s 2_trigger 0

# Apply the "contracted" tag to the player
execute as @s if score @s contract_id matches 1.. run tag @s add contracted
