# Creates contract ID check
scoreboard players operation @a[tag=contracted] contract_offered = @s contractor_id
# Ensures all contracted individuals have the tp cd score
execute as @a[tag=contracted] if score @s contract_offered = @s contract_id run scoreboard players add @a[tag=contracted] contract_tp_cd 0
# Gives the target tag to those contracted and not on cooldown
execute as @a[tag=contracted,scores={contract_tp_cd=0}] if score @s contract_offered = @s contract_id run tag @s add tp_target
# Teleports to a random target
tp @r[tag=tp_target,distance=10..]
# Gives all nearby contracted individualsa cooldown
execute as @a[tag=contracted,distance=..10] if score @s contract_offered = @s contract_id run scoreboard players set @s contract_tp_cd 1
# Removes the tp target tag.
execute as @a[tag=contracted] if score @s contract_offered = @s contract_id run tag @s remove tp_target
# Resets the contract ID checker
scoreboard players set @a[tag=contracted] contract_offered 0
# Grants the cooldown power to those on cooldown
power grant @a[scores={contract_tp_cd=1..}] hellsgate:mixed/contracted/cooldown
