# If contractee nearby, remove their tag and id
scoreboard players operation @a[distance=..3,tag=contracted] contract_offered = @s contractor_id

# Removes the contract power from the contractee
execute as @e[tag=contracted,limit=1,distance=..3] if score @s contract_id = @s contract_offered run power remove @s hellsgate:mixed/contracted/tier_1
execute as @e[tag=contracted,limit=1,distance=..3] if score @s contract_id = @s contract_offered run power remove @s hellsgate:mixed/contracted/tier_2
execute as @e[tag=contracted,limit=1,distance=..3] if score @s contract_id = @s contract_offered run power remove @s hellsgate:mixed/contracted/tier_3
execute as @e[tag=contracted,limit=1,distance=..3] if score @s contract_id = @s contract_offered run power remove @s hellsgate:mixed/contracted/tier_4
execute as @e[tag=contracted,limit=1,distance=..3] if score @s contract_id = @s contract_offered run power remove @s hellsgate:mixed/contracted/tier_5
execute as @e[tag=contracted,limit=1,distance=..3] if score @s contract_id = @s contract_offered run power remove @s hellsgate:mixed/contracted/tier_0

# Gives authority back to the contractor
execute if score @s contractor_id = @a[tag=contracted,limit=1,distance=..3] contract_offered run execute if score @a[tag=contracted,limit=1,distance=..3] contract_tier matches 1 run resource change @s hellsgate:pro/devil/contract/authority/true_authority -1
execute if score @s contractor_id = @a[tag=contracted,limit=1,distance=..3] contract_offered run execute if score @a[tag=contracted,limit=1,distance=..3] contract_tier matches 2 run resource change @s hellsgate:pro/devil/contract/authority/true_authority -2
execute if score @s contractor_id = @a[tag=contracted,limit=1,distance=..3] contract_offered run execute if score @a[tag=contracted,limit=1,distance=..3] contract_tier matches 3 run resource change @s hellsgate:pro/devil/contract/authority/true_authority -3
execute if score @s contractor_id = @a[tag=contracted,limit=1,distance=..3] contract_offered run execute if score @a[tag=contracted,limit=1,distance=..3] contract_tier matches 4 run resource change @s hellsgate:pro/devil/contract/authority/true_authority -4
execute if score @s contractor_id = @a[tag=contracted,limit=1,distance=..3] contract_offered run execute if score @a[tag=contracted,limit=1,distance=..3] contract_tier matches 5 run resource change @s hellsgate:pro/devil/contract/authority/true_authority -5

# Removes a soul from the contractor
execute if score @s contractor_id = @a[tag=contracted,limit=1,distance=..3] contract_offered run resource change @s hellsgate:pro/devil/contract/grants/total_souls -1

# Resets contract identifiers from the contractee
execute as @a[distance=..3,tag=contracted] if score @s contract_id = @s contract_offered run scoreboard players set @s contract_tier 0 
execute as @a[distance=..3,tag=contracted] if score @s contract_id = @s contract_offered run tag @s remove contracted
execute as @a[distance=..3] if score @s contract_id = @s contract_offered run scoreboard players set @a[distance=..3,limit=1] contract_id 0
execute as @a[distance=..3] run scoreboard players set @s contract_offered 0
